//---------------------------------------------------------------------------

#ifndef MyShockwaveFlashCPPH

#include "ShockwaveFlashObjects_OCX.h"

#define MyShockwaveFlashCPPH

class PACKAGE TMyShockwaveFlash : public TShockwaveFlash
{
private:
  TMemoryStream* FStream;
  AnsiString FTmpFileName;
  void __fastcall WriteFlash(TStream* Stream);
  void __fastcall ReadFlash(TStream* Stream);
protected:
  virtual void __fastcall DefineProperties(TFiler* Filer);
  virtual void __fastcall Loaded();
public:
  virtual __fastcall TMyShockwaveFlash(TComponent* AOwner);
  virtual __fastcall ~TMyShockwaveFlash();
  bool __fastcall LoadFlash(const AnsiString FileName);
  bool __fastcall LoadFlashFromStream(TStream* Stream);
  void __fastcall SaveFlash(const AnsiString FileName);
  void __fastcall SaveFlashToStream(TStream* Stream);
  void __fastcall SetFlash(TMyShockwaveFlash* Source);
  bool __fastcall InitFlash();
  void __fastcall Reload();
  void __fastcall DoneFlash();
};

class PACKAGE TMyShockwaveFlashTest : public TShockwaveFlash
{
};

//---------------------------------------------------------------------------
#endif
